MaintenanceEvent (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.MaintenanceEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events
Class MaintenanceEvent

    java.lang.Object
      org.hyperic.hq.events.AbstractEvent
          org.hyperic.hq.measurement.shared.ResourceLogEvent
              org.hyperic.hq.events.MaintenanceEvent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, LoggableInterface, ResourceEventInterface, JSON

    public class MaintenanceEvent

extends ResourceLogEvent
implements JSON

Value object for scheduled maintenance events

See Also:
  Serialized Form

Field Summary
`long` | `alertCount`
`static java.lang.String` | `END_TIME`
`long` | `errorCount`
`static java.lang.String` | `GROUP_ID`
`static java.lang.String` | `MODIFIED_BY`
`static java.lang.String` | `MODIFIED_TIME`
`static java.lang.String` | `START_TIME`
`static java.lang.String` | `STATE`
`static java.lang.String` | `STATE_COMPLETE`
`static java.lang.String` | `STATE_NEW`
`static java.lang.String` | `STATE_RUNNING`

Constructor Summary
`MaintenanceEvent(java.lang.Integer groupId)`

Method Summary
`boolean` | `activate()`
`static MaintenanceEvent` | `build(org.quartz.JobDetail jobDetail)` Create a MaintenanceEvent object from a JobDetail
`long` | `getEndTime()`
`java.lang.Integer` | `getGroupId()`
`java.lang.String` | `getJsonName()`
`java.lang.String` | `getModifiedBy()`
`long` | `getModifiedTime()`
`java.util.Set` | `getResourcesProcessed()`
`long` | `getStartTime()`
`java.lang.String` | `getState()`
`void` | `resetStats()`
`void` | `setEndTime(long endTime)`
`void` | `setEventMessage(java.lang.String msg)`
`void` | `setModifiedBy(java.lang.String authzName)`
`void` | `setModifiedTime(long modifiedTime)`
`void` | `setStartTime(long startTime)`
`void` | `setState(java.lang.String state)`
`org.json.JSONObject` | `toJSON()` Convert the object to a Json object
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.measurement.shared.ResourceLogEvent
`getLevel, getLevelString, getLevelString, getMessage, getResource, getSource, getSubject, setMessage, setResource, setSource`

Methods inherited from class org.hyperic.hq.events.AbstractEvent
`equals, getId, getInstanceId, getTimestamp, hashCode, isLoggingSupported, setId, setInstanceId, setTimestamp`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### GROUP_ID

    public static final java.lang.String GROUP_ID

See Also:
  Constant Field Values

### STATE

    public static final java.lang.String STATE

See Also:
  Constant Field Values

### START_TIME

    public static final java.lang.String START_TIME

See Also:
  Constant Field Values

### END_TIME

    public static final java.lang.String END_TIME

See Also:
  Constant Field Values

### MODIFIED_TIME

    public static final java.lang.String MODIFIED_TIME

See Also:
  Constant Field Values

### MODIFIED_BY

    public static final java.lang.String MODIFIED_BY

See Also:
  Constant Field Values

### STATE_NEW

    public static final java.lang.String STATE_NEW

See Also:
  Constant Field Values

### STATE_RUNNING

    public static final java.lang.String STATE_RUNNING

See Also:
  Constant Field Values

### STATE_COMPLETE

    public static final java.lang.String STATE_COMPLETE

See Also:
  Constant Field Values

### alertCount

    public long alertCount

### errorCount

    public long errorCount

Constructor Detail

### MaintenanceEvent

    public MaintenanceEvent(java.lang.Integer groupId)

Method Detail

### getGroupId

    public java.lang.Integer getGroupId()

### getState

    public java.lang.String getState()

### setState

    public void setState(java.lang.String state)

### getStartTime

    public long getStartTime()

### setStartTime

    public void setStartTime(long startTime)

### getEndTime

    public long getEndTime()

### setEndTime

    public void setEndTime(long endTime)

### getModifiedTime

    public long getModifiedTime()

### setModifiedTime

    public void setModifiedTime(long modifiedTime)

### getModifiedBy

    public java.lang.String getModifiedBy()

### setModifiedBy

    public void setModifiedBy(java.lang.String authzName)

### activate

    public boolean activate()

### getResourcesProcessed

    public java.util.Set getResourcesProcessed()

### resetStats

    public void resetStats()

### build

    public static MaintenanceEvent build(org.quartz.JobDetail jobDetail)

  Create a MaintenanceEvent object from a JobDetail

### setEventMessage

    public void setEventMessage(java.lang.String msg)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ResourceLogEvent`

### toJSON

    public org.json.JSONObject toJSON()

  Description copied from interface: `JSON`
  Convert the object to a Json object

  Specified by:
    `toJSON` in interface `JSON`

### getJsonName

    public java.lang.String getJsonName()

  Specified by:
    `getJsonName` in interface `JSON`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.